Перейти из форума на сайт.

НовостиФайловые архивы
ПоискАктивные темыТоп лист
ПравилаКто в on-line?
Вход Забыли пароль? Первый раз на этом сайте? Регистрация
Компьютерный форум Ru.Board » Компьютеры » Программы » Microsoft .NET Framework

Модерирует : gyra, Maz

 Версия для печати • ПодписатьсяДобавить в закладки
Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137

Открыть новую тему     Написать ответ в эту тему

Rodion

Member
Редактировать | Профиль | Сообщение | ICQ | Цитировать | Сообщить модератору
Microsoft .NET Framework
 
 

Microsoft .NET Framework  - это платформа для создания, развертывания и запуска Web-сервисов и приложений. Она предоставляет высокопроизводительную, основанную на стандартах, многоязыковую среду, которая позволяет интегрировать  существующие приложения с приложениями и сервисами следующего поколения, а также решать задачи развертывания и использования интернет-приложений. .NET Framework состоит из трех основных частей - общеязыковой среды выполнения, иерархического множества унифицированных библиотек классов и компонентной версии ASP, называемой ASP.NET.

Microsoft .NET Framework 1.0 Redistributable Package + SP3 + KB928367 + KB947739 (2k only) + KB953295 (только для XP Media Center / Tablet PC Edition)
 
Версия 1.0 в настоящее время уже практически не используется, поэтому ставить ее рекомендуется только по необходимости, при работе с программами которые требуют именно ее (Visual Studio 2002, Sound Forge некоторых версий и т.п.). Русского LangPack'а для версии 1.0 не существует. Варианты вышеперечисленных обновлений на русском языке (SP3 Rus, KB928367 Rus и KB947739 Rus) предназначены только для русской версии Framework 1.0 SP2, распространявшейся на дисках с дистрибутивом русской Windows XP SP1. На английские версии Framework они не ставятся. Скачать обе (русскую и английскую) версии для XP можно отсюда. Версии 1.0 SP2 и SP3 входят в состав операционных систем Windows XP Media Center / Tablet PC Edition 2002 (SP1) и 2005 (SP2) соответственно. Версия 1.0 SP2 также распространяется на дисках с операционной системой Windows XP SP1 (в виде отдельного дистрибутива).

Microsoft .NET Framework 1.1 Redistributable Package + LangPack + SP1 + KB953297 + KB971108 (2k only)
 
Версия 1.1 не включает в себя версию 1.0, не требует и не заменяет ее при установке. Используется она чаще, однако устанавливать ее рекомендуется также по необходимости, только для тех программ, которые жестко к ней привязаны. Это обусловлено тем, что пакет .NET Framework 2.0 обеспечивает обратную совместимость с предыдущими версиями, и большинство программ, написанных под 1.0 и 1.1 без проблем работают в среде 2.0 (равно как и программы написанные под 1.0 могут запускаться под версией 1.1). Во избежание конфликтов не рекомендуется ставить версии 1.0 и 1.1 одновременно (некоторые записи в реестре у них общие). Версии 1.1 и 1.1 SP1 входят в состав операционных систем Windows Server 2003 и Windows Server 2003 SP1 / R2SP1 / SP2 / R2SP2 соответственно. Версия 1.1 SP1 также распространяется на дисках с операционными системами Windows XP SP2 и SP3 (в виде отдельного дистрибутива).

Microsoft .NET Framework 2.0 Redistributable Package (x64/ia64) + LangPack (x64/ia64) + KB928365 + KB947746 (2k only)
 
Версия 2.0 и все последующие версии Framework не включают в себя предыдущие версии 1.0 и 1.1, не требуют и не заменяют их при установке. Последняя версия, поддерживающая Windows 98/ME (все существующие обновления для этой версии, а также для версий 1.0 SP3 и 1.1 SP1 с этими ОС несовместимы, при проблемах установки сервис паков для версий 1.0 и 1.1 под Windows 98/ME использовать ключ /q). Эта версия входит в состав операционных систем Windows Server 2003 R2SP1 / R2SP2 и Windows Vista.
 
Microsoft .NET Framework 2.0 SP1 Redistributable Package (x64/ia64) + LangPack (x64/ia64) + KB953300 + KB971110 (2k only)
 
Версия 2.0 SP1 включает в себя версию 2.0 и заменяет ее при установке. Входит в состав операционных систем Windows Vista SP1 и Windows Server 2008.
 
Microsoft .NET Framework 2.0 SP2 Redistributable Package (x64/ia64) + LangPack (x64/ia64) + KB958481 + KB971111 (2k only) + KB974417 + KB976569
 
Версия 2.0 SP2 включает в себя версии 2.0 и 2.0 SP1 и заменяет их при установке. Последняя версия, поддерживающая Windows 2000. Для установки этой и предыдущей версий под этой операционной системой может потребоваться установить обновление KB835732 Эта версия входит в состав операционных систем Windows Vista SP2, Windows Server 2008 SP2 / R2 и Windows 7.

Microsoft .NET Framework 3.0 Redistributable Package (x64) + LangPack + KB928365
 
Версия 3.0 включает в себя версию 2.0. Входит в состав операционной системы Windows Vista.
 
Microsoft .NET Framework 3.0 SP1 Redistributable Package (x64) + LangPack (x64) + KB953300
 
Версия 3.0 SP1 не включает в себя версию 2.0 SP1, но требует ее для установки. При установке на чистую систему также могут потребоваться компоненты Microsoft Core XML Services 6.0 aka MSXML 6.0 Parser (KB933579) (x64), XML Paper Specification Shared Components Pack 1.0 (x64) и LangPack (x64) к нему (необязательно), Windows Imaging Component (x64), а также Software Rasterizer for the Microsoft DirectX 9.0 SDK (x64). Более подробно об изготовлении полноценного дистрибутива к версии 3.0 SP1 можно узнать здесь. Эта версия входит в состав операционных систем Windows Vista SP1 и Windows Server 2008.
 
Microsoft .NET Framework 3.0 SP2 x86/x64 + 2.0 SP2 x86/x64 Redistributable Package + KB958481 / KB958483 + KB974417 +
KB976570

 
Версия 3.0 SP2 не включает в себя версию 2.0 SP2, но требует ее для установки. Скачиваемый по ссылке неофициальный дистрибутив включает обе этих версии для x86 и x64 систем. Русский языковой пакет для версии 3.0 SP2 в дистрибутив не входит и отдельно не распространяется. При установке на чистую систему может потребоваться компонент Microsoft Core XML Services 6.0 aka MSXML 6.0 Parser (включен в дистрибутив). Эта версия входит в состав операционных систем Windows Vista SP2, Windows Server 2008 SP2 / R2 и Windows 7.
 

Microsoft .NET Framework 3.5 Redistributable Package + LangPack (x64/ia64) + KB953300
 
Версия 3.5 включает в себя версии 2.0 SP1 и 3.0 SP1. В начале установки делает попытку соединения с интернетом для закачки языкового пакета. Если этот пакет у вас уже имеется, установку следует производить будучи отключенным от сети. После нескольких неудачных попыток подключения установка продолжится с выводом сообщения об ошибке в конце, которое однако не является свидетельством неправильной установки.
 
Microsoft .NET Framework 3.5 SP1 Redistributable Package + LangPack (x64/ia64) + KB958481 / KB958483 / KB958484 + KB963707 + KB974417 + KB976126
 
Версия 3.5 SP1 включает в себя версии 2.0 SP2 и 3.0 SP2. В начале установки делает попытку соединения с интернетом для закачки языкового пакета. Если этот пакет у вас уже имеется, установку следует производить будучи отключенным от сети. После нескольких неудачных попыток подключения установка продолжится в обычном режиме. Эта версия входит в состав операционных систем Windows 7 и Windows Server 2008 R2.
 

Microsoft .NET Framework 4 Full Standalone Installer + Full LangPack (x86 x64)
Microsoft .NET Framework 4 Client Profile Standalone Installer
 
Версия 4 не включает в себя предыдущие версии (1.0, 1.1, 2.0, 3.0, 3.5), не требует их наличия при установке и не заменяет их.
 
Ввиду семимеговой разницы в размерах, о 4 client profile стоит забыть.

 
 
 

Microsoft .NET Framework 4.5 Standalone Redistributable Package + LangPack
Microsoft .NET Framework 4.5.2 Standalone Redistributable Package + LangPack
Версия 4.5 представляет собой выполняемое на месте обновление версии .NET Framework 4, отличающееся высокой степенью совместимости. Версия 4.5 заменяет версию 4.0 и не включает в себя предыдущие версии (1.0, 1.1, 2.0, 3.0, 3.5), входит в состав OS Windows 8. Удаление версии 4.5 также удаляет более ранние версии 4.0. Если нужно вернуться к версии 4.0, то необходимо переустановить версию 4.0 со всеми обновлениями.
Microsoft .NET Framework 4.6.1 Standalone Redistributable Package + LangPack
Microsoft .NET Framework 4.6.2 Standalone Redistributable Package + LangPack
Версия Microsoft .NET Framework 4.6 является высокосовместимой заменой для Microsoft .NET Framework 4, .NET Framework 4.5, .NET Framework 4.5.1 и .NET Framework 4.5.2.
 
Microsoft .NET Framework 4.7
NDP47-KB3186497-x86-x64-AllOS-ENU.exe
Языковой пакет Microsoft .NET Framework 4.7  
NDP47-KB3186497-x86-x64-AllOS-RUS.exe
 

ВАЖНО! Решение проблемы неустановки обновления KB928416 на систему со всеми установленными фреймворками до 3.5 SP1 включительно (предположительно эта проблема возникает только на OEM-версиях XP) Более простое, но не радикальное решение проблемы через запись в реестре.
Прямая ссылка на netfx3-kb928416-v3.0-x86-rus


Утилиты для проверки корректности установки и удаления .NET Framework всех версий: Framework Setup Verification Utility и Framework Setup Cleanup Utility


 
Вариант шапки от ZX83 просьба потестить
 
Подробнее... Убрал инфу о том какая версия куда входит (дублируется списком в конце шапки) и старые версии 2.0 SP1, 3.0, 3.0 SP1 и 3.5. Все равно они уже никому не нужны. 2.0 оставил потому что нужна для Windows 9x. Если никто не против, просьба кому-нибудь прикрепить.

Репак от Gora

Microsoft .Net FrameWork 4.6.1 for Windows 7 SP1 [x86-x64]
Описание

Всего записей: 297 | Зарегистр. 21-02-2002 | Отправлено: 13:52 08-01-2004 | Исправлено: SergeyGolubev, 15:34 06-08-2017
yujin1

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Стоит ли вообще ставить 3.5? Весит много 200 против 20 в 2.0(из шапки). На практике какие проги требуют его?

Всего записей: 61 | Зарегистр. 17-07-2008 | Отправлено: 03:31 09-09-2008
Phantomaks

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
под висту х64 СП1 необходимо проставлять NET Framework?

Всего записей: 47 | Зарегистр. 23-02-2007 | Отправлено: 23:17 09-09-2008
rrr777

Silver Member
Редактировать | Профиль | Сообщение | ICQ | Цитировать | Сообщить модератору
yujin1
ну вот например SpeedUpMyPC.2009 его требует, да еще с СП1, программа конечно не самая нужная, но начало положено.

Всего записей: 2809 | Зарегистр. 22-12-2005 | Отправлено: 23:47 09-09-2008
balamutas

Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
rrr777
да, вот только эта пр. SpeedUpMyPC.2009 и потребовала NF 3.5 а так я на XP обхожусь с 2.0 servis pack 1.  

Всего записей: 253 | Зарегистр. 09-03-2007 | Отправлено: 23:54 09-09-2008
yujin1

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
значит на флешке в дистрибах останется версия 2.0  =)
мне просто ни одной проги выше, которая бы требовала выше 2 версии не потребовалось =D

Всего записей: 61 | Зарегистр. 17-07-2008 | Отправлено: 09:45 10-09-2008
Barabashka

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Возможно ли установить отдельно Microsoft .NET Framework v2.0 Service Pack 2 без установки версии 3.5?
 
Пока знаю только один способ: установить v3.5 SP1, а затем снести v3.0 и v3.5.

Всего записей: 727 | Зарегистр. 25-03-2002 | Отправлено: 13:07 10-09-2008
Sish



Platinum Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Barabashka
Странные какие-то ходы: FW 2.0 без проблем ставится на чистую машину? где раньше вообще никакого FW не было.
 
Хоть на XP, хоть на Win2k...

Всего записей: 25171 | Зарегистр. 09-06-2004 | Отправлено: 13:25 10-09-2008
Barabashka

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
А где взять SP2? SP2 (для Microsoft .NET Framework v2.0) входит только в установщик v3.5 SP1!
Знаний для расковыривания установщика не хватает...

Всего записей: 727 | Зарегистр. 25-03-2002 | Отправлено: 13:43 10-09-2008 | Исправлено: Barabashka, 13:56 10-09-2008
SLKuL

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Подскажите плиз, а NET Framework из шапки (Microsoft .NET Framework 3.5 with Service Pack 1 Full Package (включает в себя версии 2.0 SP2, 3.0 SP2 и 3.5)) можно ставить и на x86 и на x64 ???

Всего записей: 93 | Зарегистр. 03-09-2006 | Отправлено: 16:23 10-09-2008
The Unforgiven



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
SLKuL
Да.

Всего записей: 3665 | Зарегистр. 20-12-2001 | Отправлено: 16:50 10-09-2008
Phantomaks

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Люди добрые.
У меня установлена Windows Vista Ultimate x64 with SP1
Подскажите, нужно ли мне устанавливать какие нибудь из версий NET Framework?
насколько я знаю версия 2.0 и 3.0 уже установлена в висте с 1-ым паком..
а вот версии 1.1 и 3.5 вроде как нет, они нужны?

Всего записей: 47 | Зарегистр. 23-02-2007 | Отправлено: 21:09 10-09-2008
egor23



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Phantomaks

Цитата:
а вот версии 1.1 и 3.5 вроде как нет

1.1 идёт с дистрибудитвом винды (upgrade\netfx\), как и раньше с XP.

Цитата:
 они нужны?

Если программам требуются, то нужны.

Всего записей: 3826 | Зарегистр. 03-11-2003 | Отправлено: 21:28 10-09-2008
Phantomaks

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
как я понял фрэйм вок 1.1, 2.0, 3.0 уже установлены, вроде программы ничего больше не требуют, наверное не нужно значит ничего проставлять.

Всего записей: 47 | Зарегистр. 23-02-2007 | Отправлено: 21:44 10-09-2008
egor23



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
как я понял фрэйм вок 1.1, 2.0, 3.0 уже установлены

Насчёт 1.1 - врядли установлен.

Всего записей: 3826 | Зарегистр. 03-11-2003 | Отправлено: 21:57 10-09-2008
rupinskiy

Full Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Как-то встречал портабл версию фрейворка - но она не совсе рабочая была - некоторые програмы работали с под него некоторые нет - кто-то знает новые решения в этом напрвлении ???

Всего записей: 457 | Зарегистр. 16-07-2005 | Отправлено: 22:52 10-09-2008
Phantomaks

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Версия в шапке на 1.1 встанет на висту х64 или нужно именно под 64 битную ось 1-ый нет фрэйм?

Всего записей: 47 | Зарегистр. 23-02-2007 | Отправлено: 23:05 10-09-2008
egor23



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
Версия в шапке на 1.1 встанет на висту х64

должен поставиться
но зачем так усложнять, если с дистрибом Висты он идёт, плюс дистриб немного отличается, в частности - gdiplus.dll 5.2.6000.16386 (vista_rtm.061101-2205), но она в Висте по-идее такая же должна быть.

Цитата:
 или нужно именно под 64 битную ось 1-ый нет фрэйм?

версии .NET Framework 1.1 x64 не существует.

Всего записей: 3826 | Зарегистр. 03-11-2003 | Отправлено: 01:45 11-09-2008
rrr777

Silver Member
Редактировать | Профиль | Сообщение | ICQ | Цитировать | Сообщить модератору

Цитата:
NF 3.5

а вот у меня он не ставится вообще, ни  dotnetfx35.exe ни всякие сборки все в одном, доходит примерно до 1/5 пишет, что ошибка и делает откат, если сейчас у меня установлен с 1-го по 3 с сп, так и должно быть?, я че-то запутался, раньше ставил 1.1 и 3.5, а теперь вышло, что 3 уже стоит, надо-ли его сносить перед установкой 3.5?

Всего записей: 2809 | Зарегистр. 22-12-2005 | Отправлено: 08:45 11-09-2008
Sish



Platinum Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
rrr777
Попробуй обновить Windows Installer for WinXP

Всего записей: 25171 | Зарегистр. 09-06-2004 | Отправлено: 08:58 11-09-2008
rrr777

Silver Member
Редактировать | Профиль | Сообщение | ICQ | Цитировать | Сообщить модератору
Sish
спасибо прбовал, безрезультатно
 
Добавлено:
вот такую ошибку в логах отыскал
[09/11/08,10:46:49] Microsoft .NET Framework 2.0a: [2] Error: Installation failed for component Microsoft .NET Framework 2.0a. MSI returned error code 1603

Всего записей: 2809 | Зарегистр. 22-12-2005 | Отправлено: 09:03 11-09-2008
Открыть новую тему     Написать ответ в эту тему

Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137

Компьютерный форум Ru.Board » Компьютеры » Программы » Microsoft .NET Framework

Имя:
Пароль:
Сообщение

Для вставки имени, кликните на нем.

Опции сообщенияДобавить свою подпись
Подписаться на получение ответов по e-mail
Добавить тему в личные закладки
Разрешить смайлики?
Запретить коды


Реклама на форуме Ru.Board.

Powered by Ikonboard "v2.1.7b" © 2000 Ikonboard.com
Modified by Ru.Board
© Ru.Board 2000-2018

BitCoin: 1NGG1chHtUvrtEqjeerQCKDMUi6S6CG4iC

Рейтинг.ru